Package com.microblink.blinkid.fragment.overlay

# Class DocumentRecognizerManager

java.lang.Object
com.microblink.blinkid.fragment.overlay.DocumentRecognizerManager

public class DocumentRecognizerManager extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `DocumentRecognizerManager.ConcreteRecognizerExtractor`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentRecognizerManager()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addConcreteRecognizerExtractor(DocumentRecognizerManager.ConcreteRecognizerExtractor extractor)`
  Adds additional extractor for the recognizer wrapper class, which unwraps and returns concrete recognizer if it is wrapped inside other recognizer, e.g.
  `RecognizerBundle`
  `buildRecognizerBundle(DocumentSide documentSide)`
  `boolean`
  `canScanDocument()`
  `void`
  `clearBundleState()`
  `Recognizer<?>`
  `getConcreteRecognizer(Recognizer recognizer)`
  Unwraps and returns concrete recognizer if it is wrapped inside given recognizer, e.g.
  `RecognizerBundle.RecognitionDebugMode`
  `getRecognitionDebugMode()`
  `List<Recognizer>`
  `getRecognizersFor(DocumentSide documentSide)`
  `RecognitionSuccessType`
  `getScanSuccessType()`
  `int`
  `getTimeoutMs()`
  `boolean`
  `hasInvalidDocumentDataMatch()`
  `void`
  `saveBundleState()`
  `void`
  `setup(RecognizerBundle recognizerBundle, CurrentImageListener currentImageListener)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocumentRecognizerManager

    public DocumentRecognizerManager()

- ## Method Details

  - ### setup

    public void setup(@NonNull RecognizerBundle recognizerBundle, @Nullable CurrentImageListener currentImageListener)

  - ### getRecognizersFor

    @NonNull public List<Recognizer> getRecognizersFor(@NonNull DocumentSide documentSide)

  - ### buildRecognizerBundle

    @NonNull public RecognizerBundle buildRecognizerBundle(@NonNull DocumentSide documentSide)

  - ### canScanDocument

    public boolean canScanDocument()

  - ### getTimeoutMs

    public int getTimeoutMs()

  - ### getRecognitionDebugMode

    public RecognizerBundle.RecognitionDebugMode getRecognitionDebugMode()

  - ### saveBundleState

    public void saveBundleState()

  - ### clearBundleState

    public void clearBundleState()

  - ### hasInvalidDocumentDataMatch

    public boolean hasInvalidDocumentDataMatch()

  - ### getScanSuccessType

    @NonNull public RecognitionSuccessType getScanSuccessType()

  - ### addConcreteRecognizerExtractor

    public void addConcreteRecognizerExtractor(@NonNull DocumentRecognizerManager.ConcreteRecognizerExtractor extractor)
    Adds additional extractor for the recognizer wrapper class, which unwraps and returns concrete recognizer if it is wrapped inside other recognizer, e.g. `SuccessFrameGrabberRecognizer`.
    Parameters:
      `extractor` - extracts concrete recognizer from the wrapper

  - ### getConcreteRecognizer

    @AnyThread public Recognizer<?> getConcreteRecognizer(Recognizer recognizer)
    Unwraps and returns concrete recognizer if it is wrapped inside given recognizer, e.g. `SuccessFrameGrabberRecognizer`, or returns given recognizer if it is not wrapper.
    Parameters:
      `recognizer` - recognizer which contains concrete recognizer, or concrete recognizer
    Returns:
      unwrapped recognizer or simply returns given recognizer if it is not wrapped